Hello,

I am attempting to update the Saul Goode version of the Create Luminosity Masks
Script-Fu script, sg-luminosity-masks. It works fine in GIMP 2.8, but I have
just updated to GIMP 2.9.8 to take advantage of the automatic link to darktable
for importing RAW images.

When I first ran the script it ended with an error based on the use of
deprecated functions in the script. I replaced the function names with the newer
versions and the script starts to work but I eventually get the following error
message:

Execution error for 'Luminosity Masks (saulgoode)':
Error: Invalid number of arguments for gimp-drawable-invert (expected 2 but
received 1)

I have looked for a function reference for the gimp functions called in
Script-Fu without finding anything. I've also searched for the proper parameters
for gimp-drawable-invert but am also coming up blank.

Can anyone help with either a current function reference or the parameters for
gimp-drawable-invert. I've attached the original script for reference.

Thank you!

Attachments:
* 
http://www.gimpusers.com/system/attachments/872/original/sg-luminosity-masks.scm

-- 
HeyJC (via www.gimpusers.com/forums)
_______________________________________________
gimp-user-list mailing list
List address:    gimp-user-list@gnome.org
List membership: https://mail.gnome.org/mailman/listinfo/gimp-user-list
List archives:   https://mail.gnome.org/archives/gimp-user-list

Reply via email to